
// Javascript source for the activation wizard.

// Launches the wizard in a new window
function doWizardPopup(windowParms) {
	newWindow = window.open('activationWizard.faces',(new Date()).getMilliseconds(), windowParms);
	return true;
}

// Launches the wizard help in a new window
function doHelpPopup(windowParms){
	newWindow = window.open('esaguihelp/activationwizard.html',(new Date()).getMilliseconds(), windowParms);
	return true;
}

// Toggles the fields that need to be enabled/disabled/hidden/displayed
function toggleHidden(){
	// Toggle for the import file panel.  This if statement protects from the HTML object not being created yet (panel not being visited).
	if(document.forms['form1'].elements['form1:subview1:checkbox1']){
		var importCheckboxStatus = document.forms['form1'].elements['form1:subview1:checkbox1'].checked;
		document.getElementsByName('form1:subview1:idUpload')[0].disabled = !importCheckboxStatus;
		if(importCheckboxStatus){
			document.getElementById('form1:subview1:filenameLabelId').style.color = "000000";
		}
		else{
			document.getElementById('form1:subview1:filenameLabelId').style.color = "cccccc";
		}
	}

	// Toggle for the SMTP panel.    This if statement protects from the HTML object not being created yet (panel not being visited).
	if(document.forms['form1'].elements['form1:subview1:smtpCheckbox']){
		var smtpCheckboxStatus = document.forms['form1'].elements['form1:subview1:smtpCheckbox'].checked;

		document.getElementsByName('form1:subview1:idSMTP')[0].disabled = !smtpCheckboxStatus;
		document.getElementsByName('form1:subview1:idPort')[0].disabled = !smtpCheckboxStatus;
		document.getElementsByName('form1:subview1:idUserid')[0].disabled = !smtpCheckboxStatus;
		document.getElementsByName('form1:subview1:idPassword')[0].disabled = !smtpCheckboxStatus;
		document.getElementsByName('form1:subview1:idVerify')[0].disabled = !smtpCheckboxStatus;

		if(smtpCheckboxStatus){
			document.getElementById('form1:subview1:SMTP').style.color = "000000";
			document.getElementById('form1:subview1:Port').style.color = "000000";
			document.getElementById('form1:subview1:Userid').style.color = "000000";
			document.getElementById('form1:subview1:Password').style.color = "000000";
			document.getElementById('form1:subview1:Verify').style.color = "000000";

			document.getElementById('form1:subview1:starImg1').style.display = "";
			document.getElementById('form1:subview1:starImg2').style.display = "";
		}
		else{
			document.getElementById('form1:subview1:SMTP').style.color = "cccccc";
			document.getElementById('form1:subview1:Port').style.color = "cccccc";
			document.getElementById('form1:subview1:Userid').style.color = "cccccc";
			document.getElementById('form1:subview1:Password').style.color = "cccccc";
			document.getElementById('form1:subview1:Verify').style.color = "cccccc";

			document.getElementById('form1:subview1:starImg1').style.display = "none";
			document.getElementById('form1:subview1:starImg2').style.display = "none";
		}
	}

	// Toggle for the connectivity panel.  This if statement protects from the HTML object not being created yet (panel not being visited).
	if(document.forms['form1'].elements['form1:subview1:connectionCheckbox']){
		var connectionPanelStatus = false;
		if(document.forms['form1'].elements['form1:subview1:connectionCheckbox']){
			connectionPanelStatus = document.forms['form1'].elements['form1:subview1:connectionCheckbox'].checked;
		}

		document.getElementsByName('form1:subview1:directCheckbox')[0].disabled = !connectionPanelStatus;
		document.getElementsByName('form1:subview1:proxyCheckbox')[0].disabled = !connectionPanelStatus;

		if(connectionPanelStatus){
			document.getElementById('form1:subview1:connectionDirectLabel').style.color = "000000";
			document.getElementById('form1:subview1:connectionProxyLabel').style.color = "000000";

		}
		else{
			document.getElementById('form1:subview1:connectionDirectLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:connectionProxyLabel').style.color = "cccccc";
		}
	}

	// Toggle for the proxy panel.  This if statement protects from the HTML object not being created yet (panel not being visited).
	if(document.forms['form1'].elements['form1:subview1:idProxyIP']){
		var proxyPanelStatus = false;
		if(document.forms['form1'].elements['form1:subview1:displayProxyPanel']){
			if(document.forms['form1'].elements['form1:subview1:displayProxyPanel'].value == 'true'){
				// This fixes a problem with conversion between string and bool...
				proxyPanelStatus = true;
			}
		}
		document.getElementsByName('form1:subview1:idProxyIP')[0].disabled = !proxyPanelStatus;
		document.getElementsByName('form1:subview1:idProxyPort')[0].disabled = !proxyPanelStatus;
		document.getElementsByName('form1:subview1:proxyCheckbox2')[0].disabled = !proxyPanelStatus;
		document.getElementsByName('form1:subview1:proxyCheckbox1')[0].disabled = !proxyPanelStatus;

		if(proxyPanelStatus){
			document.getElementById('form1:subview1:idProxyIPLabel').style.color = "000000";
			document.getElementById('form1:subview1:idProxyPortLabel').style.color = "000000";
			document.getElementById('form1:subview1:idProxyBeforeDirectLabel').style.color = "000000";
			document.getElementById('form1:subview1:idProxyCheckboxLabel1').style.color = "000000";
		}
		else{
			document.getElementById('form1:subview1:idProxyIPLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idProxyPortLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idProxyBeforeDirectLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idProxyCheckboxLabel1').style.color = "cccccc";
		}

		var proxyCheckboxStatus = document.forms['form1'].elements['form1:subview1:proxyCheckbox1'].checked;
		if(!proxyPanelStatus)
			proxyCheckboxStatus = false;
		document.getElementsByName('form1:subview1:idHTTPUsername')[0].disabled = !proxyCheckboxStatus;
		document.getElementsByName('form1:subview1:idHTTPPassword')[0].disabled = !proxyCheckboxStatus;
		document.getElementsByName('form1:subview1:idHTTPVerify')[0].disabled = !proxyCheckboxStatus;
		if(proxyCheckboxStatus){
			document.getElementById('form1:subview1:idHTTPUsernameLabel').style.color = "000000";
			document.getElementById('form1:subview1:idHTTPPasswordLabel').style.color = "000000";
			document.getElementById('form1:subview1:idHTTPVerifyLabel').style.color = "000000";
		}
		else{
			document.getElementById('form1:subview1:idHTTPUsernameLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idHTTPPasswordLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idHTTPVerifyLabel').style.color = "cccccc";
		}
	}

	// Toggle for the test panel.  This if statement protects from the HTML object not being created yet (panel not being visited).
	if(document.forms['form1'].elements['form1:subview1:testCheckbox2']){
		var testNotificationCheckboxStatus = document.forms['form1'].elements['form1:subview1:testCheckbox2'].checked;
		document.getElementsByName('form1:subview1:idEmailDropdown')[0].disabled = !testNotificationCheckboxStatus;
		if(testNotificationCheckboxStatus){
			document.getElementById('form1:subview1:idEmailDropdownLabel').style.color = "000000";
			document.getElementById('form1:subview1:idEmailNotificationWarningText').style.color = "000000";
		}
		else{
			document.getElementById('form1:subview1:idEmailDropdownLabel').style.color = "cccccc";
			document.getElementById('form1:subview1:idEmailNotificationWarningText').style.color = "cccccc";
		}
	}
}

// This function updates the hidden field that controls whether the proxy panel is displayed.
function updateDisplayProxyPanel(){
	if(document.forms['form1'].elements['form1:subview1:proxyCheckbox']){
		document.forms['form1'].elements['form1:subview1:displayProxyPanel'].value = document.forms['form1'].elements['form1:subview1:proxyCheckbox'].checked;
	}
}

// Check to see if activation is currently in progress.. and will automatically reload the page every 10 seconds if it is.
function checkForActivation(){
	if(document.forms['form1'].elements['form1:subview1:idActivationInProgress'].value == 'true'){
		setTimeout("reloadPage()", 8000);  // Reload the page in 8 seconds
	}
}

// Causes a reload on the page, function availble since Javascript 1.2.  True indicates to reload from the webserver, false reloads the cached copy.
function reloadPage(){
	window.location.reload(true);
}

// Called from the body tag's onload function
function pageLoaded(){
	// Init the file panel's error messages
	if(document.getElementById('form1:subview1:fileReading')) document.getElementById('form1:subview1:fileReading').style.display = 'none';
	if(document.getElementById('form1:subview1:fileError1')) document.getElementById('form1:subview1:fileError1').style.display = 'display';
	if(document.getElementById('form1:subview1:fileError2')) document.getElementById('form1:subview1:fileError2').style.display = 'display';
	if(document.getElementById('form1:subview1:fileError3')) document.getElementById('form1:subview1:fileError3').style.display = 'display';
	
	// Init the summary panels loading message
		if(document.getElementById('form1:subview1:activationInProgressId')) document.getElementById('form1:subview1:activationInProgressId').style.display = 'none';
}

// Called everytime the next button is clicked.  Sets up validators.
function prepareForNext(){
	// Display a "reading file.." msg if this is the filename panel
	if( (document.getElementById('form1:currentTab').value == 1) && (document.forms['form1'].elements['form1:subview1:checkbox1'].checked) ){
		if(document.getElementById('form1:subview1:fileReading')) document.getElementById('form1:subview1:fileReading').style.display = '';
		if(document.getElementById('form1:subview1:fileError1')) document.getElementById('form1:subview1:fileError1').style.display = 'none';
		if(document.getElementById('form1:subview1:fileError2')) document.getElementById('form1:subview1:fileError2').style.display = 'none';
		if(document.getElementById('form1:subview1:fileError3')) document.getElementById('form1:subview1:fileError3').style.display = 'none';

	}
	// Copy the File panel's filename into a hidden field so a validator can be run on it.
	if(document.getElementById('form1:subview1:fileUploadStorage')){
		if(document.getElementsByName('form1:subview1:idUpload')[0]){
			document.getElementById('form1:subview1:fileUploadStorage').value = document.getElementsByName('form1:subview1:idUpload')[0].value
		}
	}
}

// Called everytime the finish button is clicked.
function prepareForActivate(){
	// Display an "activation is in progress..." msg if this is the summary panel
	if(document.getElementById('form1:currentTab').value == 8){
		if(document.getElementById('form1:subview1:activationInProgressId')) document.getElementById('form1:subview1:activationInProgressId').style.display = '';
	}
}

// Called to update the URL on the final page
function updateURLLink(){
	if(document.getElementById('form1:subview1:idlinkbutton3')){
		var currentURL = '' + window.location;
		var URLArray = new Array();
		URLArray = currentURL.split("/");
		var resultURL = '';
		for(i = 0;i < URLArray.length - 1;i++){
			if(i > 0){
				resultURL = resultURL + '/';
			}
			resultURL = resultURL + URLArray[i];
		}

		document.getElementById('form1:subview1:idlinkbutton3').value = resultURL;
	}
}

// Called when the simulated link/button at the end of the wizard is pushed
function doEndingLinkLaunch(windowParms) {
	var currentURL = '' + window.location;
	var URLArray = new Array();
	URLArray = currentURL.split("/");
	var resultURL = '';
	for(i = 0;i < URLArray.length - 1;i++){
		if(i > 0){
			resultURL = resultURL + '/';
		}
		resultURL = resultURL + URLArray[i];
	}

	newWindow = window.open(resultURL,(new Date()).getMilliseconds(), windowParms);
	return true;
}

// Called when the user clicks a "help me fix this link" to hide/display the information
function toggleHelpDisplay(layerID){
	var currentDisplay = document.getElementById('form1:subview1:helpLink' + layerID).style.display;
	var newDisplay = 'none';
	if(currentDisplay == 'none'){
		newDisplay = '';
	}
	document.getElementById('form1:subview1:helpLink' + layerID).style.display = newDisplay;
	document.getElementById('form1:subview1:helpText' + layerID).style.display = newDisplay;
	document.getElementById('form1:subview1:helpDotTop' + layerID).style.display = newDisplay;
	document.getElementById('form1:subview1:helpDotBottom' + layerID).style.display = newDisplay;

}


// Called when the user clicks a link in the "help me fix this" sections
function doHelpContextLinkLaunch(urlSuffix, windowParms) {
	var currentURL = '' + window.location;
	var URLArray = new Array();
	URLArray = currentURL.split("/");
	var resultURL = '';
	for(i = 0;i < URLArray.length - 1;i++){
		if(i > 0){
			resultURL = resultURL + '/';
		}
		resultURL = resultURL + URLArray[i];
	}
	resultURL = resultURL + '/' + urlSuffix;

	newWindow = window.open(resultURL,(new Date()).getMilliseconds(), windowParms);
	return true;
}
